SDL_GetRenderLogicalPresentation(3)

NAME
SDL_GetRenderLogicalPresentation - Get device independent resolution and presentation mode for rendering.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_GetRenderLogicalPresentation(SDL_Renderer *renderer, int *w, int *h, SDL_RendererLogicalPresentation *mode);

DESCRIPTION
This function gets the width and height of the logical rendering output, or the output size in pixels if a logical resolution is not enabled.

Each render target has its own logical presentation state. This function gets the state for the current render target.

FUNCTION PARAMETERS

renderer
    the rendering context.

w   an int to be filled with the width.

h   an int to be filled with the height.

mode
    the presentation mode used.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetRenderLogicalPresentation(3)